Ticket #7633

--fb-XXX オプションのバグ
Open Date: 2005-11-29 07:02 Last Update: 2005-12-09 12:21

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

UNICODE -> EUC-JP 変換をテストしています。

U+0080 から U+00FF までの範囲を確認したところ、--fb-XXX で削除されるデータを拾うこ
とができますが、

0x00A4
0x00BF

の2つは拾うことができず削除されました。
これはおそらくケアレスミスか何かのバグでしょう。

Ticket History (3/3 Histories)

2005-11-30 18:28 Updated by: naruse
Comment
Logged In: YES
user_id=3487

nkf.c rev:1.85で修正しました。
ご推察どおり、elseの拾い忘れでした^^;
NKF_RELEASE_DATE を変え忘れましたが、、
2005-12-07 19:30 Updated by: opengl2772
  • Resolution Update from None to Fixed
Comment
Logged In: YES
user_id=15946

修正後、--fb-XXX で
0x00A4
0x00BF
の2つも拾らえることを確認しました。
2005-12-09 12:21 Updated by: naruse
  • Ticket Close date is changed to 2005-12-09 12:21
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login